<template>
  <b-form-group
    :id="`${$attrs.id}-group`"
    :label="$attrs.label"
    :label-for="$attrs.id"
  >
    <b-form-radio-group
      v-if="editable"
      v-bind="$attrs"
      :aria-describedby="`${$attrs.id}-feedback`"
      :options="options"
      v-on="$listeners"
      @input="emitInput"
    ></b-form-radio-group>

    <label v-else :style="{ fontSize: '16px', fontWeight: '500' }">{{
      $attrs.value.charAt(0).toUpperCase() + $attrs.value.slice(1)
    }}</label>

    <b-form-invalid-feedback :id="`${$attrs.id}-feedback`"
      >{{ invalidFeedback }}
    </b-form-invalid-feedback>
  </b-form-group>
</template>
<script lang="ts">
import { Vue, Component, Emit, Prop } from 'vue-property-decorator'
type Options = { value: unknown; text: string }

@Component({})
export default class EmployeeForm extends Vue {
  @Prop({
    type: String,
    required: false,
    default: ''
  })
  invalidFeedback?: string

  @Prop({
    required: true,
    type: Array as () => Options[]
  })
  options!: Options[]

  @Prop({
    required: true,
    type: Boolean,
    default: false
  })
  editable!: Boolean

  @Emit('update')
  emitInput(val: any) {
    return val
  }
}
</script>

<style></style>
